#!/usr/bin/env python
# -*- coding:Utf-8 -*-
# Module switch
# Official Addons
# By Sicilia

import es, playerlib

max_t = es.ServerVar("max_t", "12")
max_ct = es.ServerVar("max_ct", "4")


def load():
    es.addons.registerClientCommandFilter(filtreCommandesClientes)
    es.dbgmsg(0, '[Sici Jail] Modules : Switch On')

def filtreCommandesClientes(userid, argv):
    joueur = playerlib.getPlayer(userid)
    if argv[0] == "jointeam" and argv[1] == "3" and es.getplayercount(3) >= int(max_ct) and int(max_ct) != 0:
        player_team = es.getplayerteam(userid)
        if player_team == 3:
            return True
        else:
            msg_opt = {}
            msg_opt["max_ct"] = int(max_ct)
            es.tell(userid, "#multi", "#lightgreen[#greenSici Jail#lightgreen] #defaultL'équipe des anti-terroristes est limité à #green%s." %max_ct)
            return False
    elif argv[0] == "jointeam" and argv[1] == "2" and es.getplayercount(2) >= int(max_t) and int(max_t) != 0:
        player_team = es.getplayerteam(userid)
        if player_team == 2:
            return True
        else:
            msg_opt = {}
            msg_opt["max_t"] = int(max_t)
            es.tell(userid, "#multi", "#lightgreen[#greenSici Jail#lightgreen] #defaultL'équipe des terroristes est limité à #green%s." %max_t)
            return False
    elif argv[0] == "jointeam" and argv[1] == "0":
        return False
    
    else:
        return True

def unload():
    es.addons.unregisterClientCommandFilter(filtreCommandesClientes)
    es.dbgmsg(0, '[Sici Jail] Modules : Switch Off')    