#!/usr/bin/env python
# -*- coding:Utf-8 -*-
# Module Arme
# Official Addons
# By Sicilia

import es
import gamethread
import playerlib

speed_t = es.ServerVar("speed_t")
health_t = es.ServerVar("health_t")
armor_t = es.ServerVar("armor_t")


speed_ct = es.ServerVar("speed_ct")
health_ct = es.ServerVar("health_ct")
armor_ct = es.ServerVar("armor_ct")


def load():
    es.dbgmsg(0, '[Sici Jail] Modules : Arme On')
    
def prop_t(userid):
    es.setplayerprop(userid, "CBasePlayer.localdata.m_flLaggedMovementValue", speed_t)
    es.setplayerprop(userid, "CBasePlayer.m_iHealth", health_t)
    es.setplayerprop(userid, "CCSPlayer.m_ArmorValue", armor_t)

def prop_ct(userid):
    gamethread.cancelDelayed("m4_%s" % userid)
    gamethread.cancelDelayed("dg_%s" % userid)
    gamethread.cancelDelayed("he_%s" % userid)
    gamethread.cancelDelayed("nv_%s" % userid)
                  
    gamethread.delayedname(.1, "m4_%s" %userid, es.give, (userid, "weapon_m4a1"))    
    gamethread.delayedname(.1, "dg_%s" %userid, es.give, (userid, "weapon_deagle"))    
    gamethread.delayedname(.1, "he_%s" %userid, es.give, (userid, "weapon_hegrenade"))    
    gamethread.delayedname(.1, "nv_%s" %userid, es.give, (userid, "item_nvgs"))    
    es.setplayerprop(userid, "CCSPlayer.m_ArmorValue", armor_ct) 
    es.setplayerprop(userid, "CCSPlayer.m_bHasHelmet", 1)
    es.setplayerprop(userid, "CBasePlayer.m_iHealth", health_ct)
    es.setplayerprop(userid, "CCSPlayer.m_bHasDefuser", 1)
    es.setplayerprop(userid, "CBasePlayer.localdata.m_flLaggedMovementValue", speed_ct)
    es.tell(userid, "#multi", "#lightgreen[#greenSici Jail#lightgreen] #defaultTu as reçu #greendes armes #defaultet #greendes outils #defaultBonne Chance.")
           
def player_spawn(E):
    joueur = playerlib.getPlayer(E["userid"])
    if E["es_userteam"] == "2":
        if joueur.get("isdead") == 0:
            gamethread.delayed(.1, prop_t, E["userid"])

    elif E["es_userteam"] == "3":
        if joueur.get("isdead") == 0:
            gamethread.delayed(.1, prop_ct, E["userid"])
                   

def player_death(E):
    es.cexec(E["userid"], "drop")

def item_pickup(E):
    if es.getplayerprop(E["userid"], "CBasePlayer.pl.deadflag"):
        es.cexec(E["userid"], "drop")
        
def unload():
    es.dbgmsg(0, '[Sici Jail] Modules : Arme Off')
    